<template>

  <div class="container">

  <div class="row">

    <!-- /.col-lg-3 -->

    <div class="col">

      <div class="card mt-4">
        <div class="card-body">
          <h3 class="card-title">Nos équipes ! </h3>
          <div class="card" >
            <ul v-for='(recipientsGroup,idx) in localGroup' :key='recipientsGroup.id' class="list-group list-group-flush text-center">

              <li class="list-group-item" > {{recipientsGroup.title + ' (' + idx }} ) 🧾
                <button @click='openTeamDetails(recipientsGroup.id)' type="button" class="btn btn-secondary btn-sm">voir</button>

              </li>

            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
      <!-- /.card -->
</template>

<script>

import {recipientsGroup} from '@/assets/js/recipientsGroup'


export default {
  name: 'CompanyTeam',
  data:()=>({
    localGroup:recipientsGroup
  }),
  filters:{
  },
  methods:{
    openTeamDetails(teamId){
      this.$router.push({
        name:'CompanyOneteam',
        params:{teamId:teamId}
      });
    }
  }
}
</script>